Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.drools
Class RuleBase

    java.lang.Object
      org.jboss.seam.drools.RuleBase

    @Scope(value=APPLICATION)
    @BypassInterceptors
    public class RuleBase

extends Object

Manager component for a Drools RuleBase

Author:
  Gavin King, Tihomir Surdilovic

Constructor Summary
`RuleBase()`

Method Summary
`void` | `compileRuleBase()`
`Expressions.ValueExpression<org.drools.spi.ConsequenceExceptionHandler>` | `getConsequenceExceptionHandler()`
`String` | `getDslFile()`
`org.drools.RuleBase` | `getRuleBase()`
`String[]` | `getRuleFiles()`
`void` | `setConsequenceExceptionHandler(Expressions.ValueExpression<org.drools.spi.ConsequenceExceptionHandler> consequenceExceptionHandler)`
`void` | `setDslFile(String dslFile)`
`void` | `setRuleFiles(String[] ruleFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleBase

    public RuleBase()

Method Detail

### compileRuleBase

    @Create
    public void compileRuleBase()
                         throws Exception

  Throws:
    `Exception`

### getRuleBase

    @Unwrap
    public org.drools.RuleBase getRuleBase()

### getRuleFiles

    public String[] getRuleFiles()

### setRuleFiles

    public void setRuleFiles(String[] ruleFiles)

### getDslFile

    public String getDslFile()

### setDslFile

    public void setDslFile(String dslFile)

### getConsequenceExceptionHandler

    public Expressions.ValueExpression<org.drools.spi.ConsequenceExceptionHandler> getConsequenceExceptionHandler()

### setConsequenceExceptionHandler

    public void setConsequenceExceptionHandler(Expressions.ValueExpression<org.drools.spi.ConsequenceExceptionHandler> consequenceExceptionHandler)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.